<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class my_teams_SINGLE_Controller extends Controller
{
    public $selfName = 'my_teams_SINGLE_Controller';

	// GET /my_teams/view/{uid}/ACTION_updateTeamNumber
	public function ACTION_updateTeamNumber(Request $request, $uid) {
		$record = DB::table('team')->where('uid', $uid)->first();
		return view('pro/my_teams_SINGLE/ACTION_updateTeamNumber', compact('record'));
	}

	// GET /my_teams/view/{uid}/SUB_dashboard
	public function SUB_dashboard(Request $request, $uid) {
		$record = DB::table('team')->where('uid', $uid)->first();
		return view('pro/my_teams_SINGLE/SUB_dashboard', compact('record'));
	}

	// GET /my_teams/view/{uid}/SUB_clients
	public function SUB_clients(Request $request, $uid) {
		$record = DB::table('team')->where('uid', $uid)->first();
		$subRecords = DB::table('client')->where('team_id', $record->id)->get();
		return view('pro/my_teams_SINGLE/SUB_clients', compact('record', 'subRecords'));
	}

	// GET /my_teams/view/{uid}/SUB_audit_log
	public function SUB_audit_log(Request $request, $uid) {
		$record = DB::table('team')->where('uid', $uid)->first();
		return view('pro/my_teams_SINGLE/SUB_audit_log', compact('record'));
	}
}
