@extends('layouts.pro-logged-in')
@section('content')

    <h2 class="d-flex mb-3">
        <div>My Clients: Add New</div>
        <div class="ml-auto">
            <a class="btn btn-primary btn-sm" href="{{route('my_clients-index')}}">
                <i class="fa fa-chevron-left" aria-hidden="true"></i>
                Back
            </a>
        </div>
    </h2>

    <form action="/post-to-api"
          method="post" enctype="multipart/form-data"
          class="bg-light rounded border px-3 pt-3 mb-3">
        @csrf

        @if (session('message'))
            <div class="alert alert-danger">{{ session('message') }}</div>
        @endif

        <input type="hidden" name="_api" value="/api/client/create">
        <input type="hidden" name="_success" value="{{route('my_clients-index')}}">
        <input type="hidden" name="_return" value="{{route('my_clients-add_new')}}">
        <div class='form-group mb-3'>
<label class='control-label'>Team Uid</label>
<select class='form-control' name='teamUid'>
<option value=''>-- Select --</option>
<?php $dbOptions = \Illuminate\Support\Facades\DB::table('team')->get(); ?>
<?php foreach($dbOptions as $o): ?>
<option value='<?= $o->uid ?>'><?= $o->team_number ?> (<?= $o->uid ?>)</option>
<?php endforeach; ?>
</select>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Mcp Pro Uid</label>
<select class='form-control' name='mcpProUid'>
<option value=''>-- Select --</option>
<?php $dbOptions = \Illuminate\Support\Facades\DB::table('pro')->get(); ?>
<?php foreach($dbOptions as $o): ?>
<option value='<?= $o->uid ?>'><?= $o->name_display ?> (<?= $o->uid ?>)</option>
<?php endforeach; ?>
</select>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Ally Pro Uid</label>
<select class='form-control' name='allyProUid'>
<option value=''>-- Select --</option>
<?php $dbOptions = \Illuminate\Support\Facades\DB::table('pro')->get(); ?>
<?php foreach($dbOptions as $o): ?>
<option value='<?= $o->uid ?>'><?= $o->name_display ?> (<?= $o->uid ?>)</option>
<?php endforeach; ?>
</select>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name Display</label>
<input class='form-control' type='text' name='nameDisplay'>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name Display</label>
<input class='form-control' type='text' name='name.nameDisplay'>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name Prefix</label>
<input class='form-control' type='text' name='name.namePrefix'>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name First</label>
<input class='form-control' type='text' name='name.nameFirst'>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name Middle</label>
<input class='form-control' type='text' name='name.nameMiddle'>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name Last</label>
<input class='form-control' type='text' name='name.nameLast'>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name Suffix</label>
<input class='form-control' type='text' name='name.nameSuffix'>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name Credential</label>
<input class='form-control' type='text' name='name.nameCredential'>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Gender</label>
<select class='form-control' name='gender'>
<option value=''>-- Select --</option>
<option value='M'>M</option>
<option value='F'>F</option>
</select>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Date Of Birth</label>
<input class='form-control' type='date' name='dateOfBirth'>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Cell Number</label>
<input class='form-control' type='tel' name='cellNumber'>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Email Address</label>
<input class='form-control' type='email' name='emailAddress'>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Medicare Number</label>
<input class='form-control' type='text' name='medicareNumber'>
</div>
        <div class="form-group mb-3">
            <button class="btn btn-sm btn-primary mr-3 px-5">Submit</button>
            <a href="{{route('my_clients-index')}}" class="btn btn-sm btn-default px-5">Cancel</a>
        </div>
    </form>

@endsection
